incubator-any23-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Simone Tripodi (Commented) (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (ANY23-37) LGPL'ed components cannot be included in distribution packages
Date Sun, 04 Mar 2012 06:06:15 GMT

    [ https://issues.apache.org/jira/browse/ANY23-37?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=13221803#comment-13221803
] 

Simone Tripodi commented on ANY23-37:
-------------------------------------

Thanks for noticing Andy! going to drop it right now!
                
> LGPL'ed components cannot be included in distribution packages
> --------------------------------------------------------------
>
>                 Key: ANY23-37
>                 URL: https://issues.apache.org/jira/browse/ANY23-37
>             Project: Apache Any23
>          Issue Type: Bug
>    Affects Versions: 0.7.0
>            Reporter: Simone Tripodi
>            Assignee: Michele Mostarda
>            Priority: Critical
>             Fix For: 0.7.0
>
>         Attachments: ANY23-37-v2.patch, ANY23-37-v3.patch, ANY23-37.patch, package.txt
>
>
> While reviewing dependencies license, I noticed that the it.unimi.dsi:dsiutils:2.0.1
transitive dependency is released under LGPL release, so it cannot be included in the non-maven
binary archives.
> A first turnaround solution could be avoiding it is included and reporting it in the
README.

--
This message is automatically generated by JIRA.
If you think it was sent incorrectly, please contact your JIRA administrators: https://issues.apache.org/jira/secure/ContactAdministrators!default.jspa
For more information on JIRA, see: http://www.atlassian.com/software/jira

        

Mime
View raw message